%define bver	0.7
%define ver     0.7.12
%define rdate	20020719
%define rel     1
%define prefix  /usr

Summary:   AVI file support library
Name:      avifile
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Development/Libraries
Source0:   avifile-%{ver}-%{rdate}.tgz
URL:       http://divx.euro.ru/
BuildRoot: %{_tmppath}/avifile-%{PACKAGE_VERSION}-root
Packager:  Eugene Kuznetsov <divx@euro.ru>
Requires:  SDL >= 1.1.3

%description
Avifile is a library that allows programs to read and write compressed
AVI files (Indeo? Video, DivX :-), etc.) under x86
Linux. (De)compression is performed with Win32 DLLs.

%package qt
Summary: Qt-based AVI utilities
Group:     Applications/Multimedia

%description qt
Three small Qt-based utilities for work with AVI files: AVI player,
video capture utility and AVI recompressor.

%prep
%setup -n %{name}%{bver}-%{ver}

%build
# Needed for snapshot releases.
if [ ! -f configure ] ; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --enable-release --enable-quiet
fi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	--with-xvid-prefix=/usr \
	--with-divx4-prefix=/usr \
	--enable-lame-bin=yes
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
# rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING doc/*
%{prefix}/lib/lib*
%{prefix}/include/avifile/*
%{prefix}/bin/avifile-config
%{prefix}/include/mmxnow.h
%{prefix}/bin/mmxnow-config
%{prefix}/lib/avifile%{bver}/*

%files qt
%{prefix}/bin/avibench
%{prefix}/bin/avicap
%{prefix}/bin/avicat
%{prefix}/bin/avimake
%{prefix}/bin/aviplay
%{prefix}/bin/avirec
%{prefix}/bin/avirecompress
%{prefix}/bin/avitype
%{prefix}/bin/kv4lsetup
%{prefix}/share/avifile%{bver}/*

%changelog
* Sat Jul 20 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- updated to avifile-0.7.12-20020719.tgz
* Mon May 27 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- initial build, fixed file list, configure options
* Sat Jan 27 2001 Eugene Kuznetsov <divx@euro.ru>
- Updated to conform to new directory layout
* Tue Oct 02 2000 Eugene Kuznetsov <divx@euro.ru>
- Merged in contributed .spec  
- First public release
* Wed Sep 20 2000 Eugene Kuznetsov <divx@euro.ru>
- First try at an RPM
